#ifndef _bitmap_h
#define _bitmap_h
#include <stdio.h>


const GUI_COLOR ColorsButtonBmp_1bpp[] = {
     0xFFFFFF,0x000000
};

const GUI_LOGPALETTE PalButtonBmp1_1bpp = {
  2,	/* number of entries */
  1, 	/* No transparency */
  &ColorsButtonBmp_1bpp[0]
};
const GUI_LOGPALETTE PalButtonBmp1_D_1bpp = {
  2,	/* number of entries */
  1, 	/* No transparency */
  &ColorsButtonBmp_1bpp[0]
};
const GUI_LOGPALETTE PalButtonBmp2_1bpp = {
  2,	/* number of entries */
  1, 	/* No transparency */
  &ColorsButtonBmp_1bpp[0]
};
const GUI_LOGPALETTE PalButtonBmp2_D_1bpp = {
  2,	/* number of entries */
  1, 	/* No transparency */
  &ColorsButtonBmp_1bpp[0]
};
const unsigned char ButtonBmp1_1bpp[] = {
_______X, ________,
______XX, X_______,
_____XXX, XX______,
____XXXX, XXX_____, 
___XXXXX, XXXX____,  
__XXXXXX, XXXXX___, 

};
const unsigned char ButtonBmp2_1bpp[] = {
__XXXXXX, XXXXX___,
___XXXXX, XXXX____, 
____XXXX, XXX_____,
_____XXX, XX______,
______XX, X_______, 
_______X, ________,
};
const GUI_BITMAP bmButtonBmp1_1bpp = {
 16, /* XSize */
 6, /* YSize */
 2, /* BytesPerLine */
 1, /* BitsPerPixel */
 ButtonBmp1_1bpp,  /* Pointer to picture data (indices) */
 &PalButtonBmp1_1bpp  /* Pointer to palette */
};
const GUI_BITMAP bmButtonBmp2_1bpp = {
 16, /* XSize */
 6, /* YSize */
 2, /* BytesPerLine */
 1, /* BitsPerPixel */
 ButtonBmp2_1bpp,  /* Pointer to picture data (indices) */
 &PalButtonBmp2_1bpp  /* Pointer to palette */
};
/**************************************************************************************************************/
const GUI_COLOR ColorsBitamp_music[] = {
   0x606060, 0x909090,0xC0C0C0,0xFFFFFF
};

const GUI_LOGPALETTE PalmusicBitamp = {
  4,	/* number of entries */
  1, 	/* No transparency */
  &ColorsBitamp_music[0]
};
const unsigned char gImage_music4pp[400] = { /* 0X00,0X02,0X28,0X00,0X28,0X00, */
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X06,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X5A,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X05,0XBF,0XFF,0XFF,0X00,0X00,
0X00,0X00,0X00,0X6B,0XFF,0XFF,0XFF,0XFF,0X00,0X00,0X00,0X00,0X7F,0XFF,0XFF,0XFF,
0XFF,0XFF,0X00,0X00,0X00,0X00,0XBF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X00,0X00,0X00,
0XBF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X00,0X00,0X00,0XBF,0XFF,0XFF,0XFF,0XFF,0XFF,
0X00,0X00,0X00,0X00,0XBF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X00,0X00,0X00,0XBF,0XFF,
0XFF,0XFF,0XFF,0XFF,0X00,0X00,0X00,0X00,0XBF,0XFF,0XFF,0XFF,0XFE,0X9F,0X00,0X00,
0X00,0X00,0XBF,0XFF,0XFF,0XE5,0X00,0X0F,0X00,0X00,0X00,0X00,0XBF,0XFA,0X50,0X00,
0X00,0X0F,0X00,0X00,0X00,0X00,0XBD,0X00,0X00,0X00,0X00,0X0F,0X00,0X00,0X00,0X00,
0XBC,0X00,0X00,0X00,0X00,0X0F,0X00,0X00,0X00,0X00,0XBC,0X00,0X00,0X00,0X00,0X0F,
0X00,0X00,0X00,0X00,0XBC,0X00,0X00,0X00,0X00,0X0F,0X00,0X00,0X00,0X00,0XBC,0X00,
0X00,0X00,0X00,0X0F,0X00,0X00,0X00,0X00,0XBC,0X00,0X00,0X00,0X00,0X0F,0X00,0X00,
0X00,0X00,0XBC,0X00,0X00,0X00,0X00,0X0F,0X00,0X00,0X00,0X00,0XBC,0X00,0X00,0X00,
0X00,0X0F,0X00,0X00,0X00,0X00,0XBC,0X00,0X00,0X04,0X00,0X0F,0X00,0X00,0X00,0X00,
0XBC,0X00,0X02,0XFF,0XFD,0X0F,0X00,0X00,0X00,0X00,0XBC,0X00,0X2F,0XFF,0XFF,0XDF,
0X00,0X00,0X00,0X00,0XBC,0X00,0XFF,0XFF,0XFF,0XFF,0X00,0X00,0X00,0X00,0XBC,0X03,
0XFF,0XFF,0XFF,0XFF,0X00,0X06,0XFE,0X90,0XBC,0X0B,0XFF,0XFF,0XFF,0XFF,0X00,0XBF,
0XFF,0XFD,0XBC,0X0F,0XFF,0XFF,0XFF,0XFF,0X03,0XFF,0XFF,0XFF,0XFC,0X0F,0XFF,0XFF,
0XFF,0XFF,0X0F,0XFF,0XFF,0XFF,0XFC,0X1F,0XFF,0XFF,0XFF,0XFF,0X2F,0XFF,0XFF,0XFF,
0XFC,0X0F,0XFF,0XFF,0XFF,0XFF,0X7F,0XFF,0XFF,0XFF,0XFC,0X0B,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFC,0X03,0XFF,0XFF,0XFF,0XFD,0XFF,0XFF,0XFF,0XFF,0XFC,0X01,
0XFF,0XFF,0XFF,0XF8,0XBF,0XFF,0XFF,0XFF,0XFC,0X00,0X7F,0XFF,0XFF,0XD0,0X7F,0XFF,
0XFF,0XFF,0XF4,0X00,0X0B,0XFF,0XFE,0X00,0X2F,0XFF,0XFF,0XFF,0XF0,0X00,0X00,0X15,
0X50,0X00,0X0F,0XFF,0XFF,0XFF,0XC0,0X00,0X00,0X00,0X00,0X00,0X02,0XFF,0XFF,0XFF,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X6F,0XFF,0XF4,0X00,0X00,0X00,0X00,0X00,0X00,
};

const GUI_BITMAP bmmusic4pp = {
 40, /* XSize */
 40, /* YSize */
 10, /* BytesPerLine */
 2, /* BitsPerPixel */
 gImage_music4pp,  /* Pointer to picture data (indices) */
 &PalmusicBitamp  /* Pointer to palette */
};
/**************************************************************************************************************/
const GUI_COLOR ColorsBitamp_set[] = {
   0x606060, 0x909090,0xC0C0C0,0xFFFFFF
};

const GUI_LOGPALETTE PalsetBitamp = {
  4,	/* number of entries */
  1, 	/* No transparency */
  &ColorsBitamp_set[0]
};
const unsigned char gImage_set4pp[400] = { /* 0X00,0X02,0X28,0X00,0X28,0X00, */
0X00,0X00,0X00,0X00,0X03,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XF4,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X0F,0XFC,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X1F,0XFC,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X2F,0XFE,0X00,0X00,
0X00,0X00,0X00,0X02,0X40,0X00,0X7F,0XFF,0X40,0X00,0X60,0X00,0X00,0X0F,0XF4,0X02,
0XFF,0XFF,0XD0,0X07,0XF8,0X00,0X00,0X2F,0XFF,0XFF,0XFF,0XFF,0XFE,0XFF,0XFE,0X00,
0X00,0X0F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0X00,0X00,0X0B,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XF8,0X00,0X00,0X07,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X00,0X00,0X03,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X00,0X00,0X02,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XE0,0X00,0X00,0X02,0XFF,0XFF,0XE4,0X06,0XFF,0XFF,0XE0,0X00,0X00,0X03,0XFF,0XFF,
0X00,0X00,0X3F,0XFF,0XF0,0X00,0X00,0X07,0XFF,0XFC,0X00,0X00,0X0F,0XFF,0XF4,0X00,
0X00,0X1F,0XFF,0XF0,0X00,0X00,0X03,0XFF,0XFD,0X00,0X01,0XFF,0XFF,0XE0,0X00,0X00,
0X02,0XFF,0XFF,0XD0,0X6F,0XFF,0XFF,0XD0,0X00,0X00,0X01,0XFF,0XFF,0XFE,0XFF,0XFF,
0XFF,0XC0,0X00,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XC0,0X00,0X00,0X00,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XC0,0X00,0X00,0X00,0XFF,0XFF,0XFF,0X1B,0XFF,0XFF,0XD0,
0X00,0X00,0X01,0XFF,0XFF,0XF9,0X00,0XBF,0XFF,0XF0,0X00,0X00,0X03,0XFF,0XFF,0X80,
0X00,0X0F,0XFF,0XF4,0X00,0X00,0X07,0XFF,0XFC,0X00,0X00,0X07,0XFF,0XFD,0X00,0X00,
0X0F,0XFF,0XF4,0X00,0X00,0X03,0XFF,0XFF,0X40,0X00,0X7F,0XFF,0XF0,0X00,0X00,0X02,
0XFF,0XFF,0XF9,0X1B,0XFF,0XFF,0XE0,0X00,0X00,0X02,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XE0,0X00,0X00,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X00,0X00,0X07,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XF4,0X00,0X00,0X0B,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF8,0X00,
0X00,0X1F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0X00,0X00,0X1F,0XFE,0XAB,0XFF,0XFF,
0XFA,0XBF,0XFD,0X00,0X00,0X0B,0XE0,0X01,0XFF,0XFF,0XD0,0X02,0XF8,0X00,0X00,0X01,
0X00,0X00,0X7F,0XFF,0X40,0X00,0X10,0X00,0X00,0X00,0X00,0X00,0X2F,0XFE,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X0F,0XFC,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X0B,0XF8,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XF4,0X00,0X00,0X00,0X00,
};
const GUI_BITMAP bmset4pp = {
 40, /* XSize */
 40, /* YSize */
 10, /* BytesPerLine */
 2, /* BitsPerPixel */
 gImage_set4pp,  /* Pointer to picture data (indices) */
 &PalsetBitamp  /* Pointer to palette */
};
/**************************************************************************************************************/
const GUI_COLOR ColorsBitamp_memo[] = {
   0x606060, 0x909090,0xC0C0C0,0xFFFFFF
};

const GUI_LOGPALETTE PalmemoBitamp = {
  4,	/* number of entries */
  1, 	/* No transparency */
  &ColorsBitamp_memo[0]
};
const unsigned char gImage_momo[400] = { /* 0X00,0X02,0X28,0X00,0X28,0X00, */
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0XAA,0XAA,0XAA,0X40,0X00,0X00,0X00,0X00,0X00,0X00,0XFF,0XFF,0XFF,
0XD0,0X00,0X00,0X00,0X00,0X00,0X00,0XFF,0XFF,0XFF,0XF4,0X00,0X00,0X00,0X00,0X00,
0X00,0XFF,0XFF,0XFF,0XFD,0X00,0X00,0X00,0X00,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0X40,
0X00,0X00,0X00,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0XD1,0X55,0X55,0X41,0X00,0X00,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,
0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,
0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,
0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0X40,0X00,0X55,0X55,0X55,0X55,0X55,0X55,0X55,0X55,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
};
const GUI_BITMAP bmmemo4pp = {
 40, /* XSize */
 40, /* YSize */
 10, /* BytesPerLine */
 2, /* BitsPerPixel */
 gImage_momo,  /* Pointer to picture data (indices) */
 &PalmemoBitamp  /* Pointer to palette */
};
/**************************************************************************************************************/
const GUI_COLOR ColorsBitamp_game[] = {
   0x606060, 0x909090,0xC0C0C0,0xFFFFFF
};
const GUI_LOGPALETTE PalgameBitamp = {
  4,	/* number of entries */
  1, 	/* No transparency */
  &ColorsBitamp_game[0]
};
const unsigned char gImage_game[400] = { /* 0X00,0X02,0X28,0X00,0X28,0X00, */
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X15,0X00,0X1B,0XE4,
0X00,0X54,0X00,0X00,0X00,0X00,0XBF,0XD5,0XFF,0XFF,0XAB,0XFF,0X00,0X00,0X00,0X00,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X40,0X00,0X00,0X07,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XE0,0X00,0X00,0X0F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF4,0X00,0X00,0X2F,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFC,0X00,0X00,0X2F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0X00,
0X00,0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0X00,0X00,0X3F,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFD,0X00,0X00,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0X00,0X00,0X7F,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0X00,0X00,0XBF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0X00,0X00,0XBF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X00,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0X40,0X00,0XFF,0XFF,0XFF,0XF4,0X0F,0XFF,0XFF,0XFF,0X40,
0X01,0XFF,0XFF,0XAF,0XD0,0X06,0XFD,0XFF,0XFF,0X80,0X02,0XFF,0XFF,0X00,0X00,0X00,
0X00,0XBF,0XFF,0XC0,0X02,0XFF,0XFE,0X00,0X00,0X00,0X00,0X3F,0XFF,0XC0,0X03,0XFF,
0XFC,0X00,0X00,0X00,0X00,0X2F,0XFF,0XD0,0X03,0XFF,0XF4,0X00,0X00,0X00,0X00,0X0F,
0XFF,0XE0,0X03,0XFF,0XF0,0X00,0X00,0X00,0X00,0X0B,0XFF,0XD0,0X02,0XFF,0XD0,0X00,
0X00,0X00,0X00,0X03,0XFF,0XC0,0X00,0XBF,0X40,0X00,0X00,0X00,0X00,0X00,0XBF,0X40,
0X00,0X04,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
};
const GUI_BITMAP bmgame4pp = {
 40, /* XSize */
 40, /* YSize */
 10, /* BytesPerLine */
 2, /* BitsPerPixel */
 gImage_game,  /* Pointer to picture data (indices) */
 &PalgameBitamp  /* Pointer to palette */
};
/**************************************************************************************************************/
const GUI_COLOR ColorsBitamp_oscilloscope[] = {
   0x000000,0xFFFFFF
};
const GUI_LOGPALETTE PaloscilloscopeBitamp = {
  2,	/* number of entries */
  1, 	/* No transparency */
  &ColorsBitamp_oscilloscope[0]
};
const unsigned char gImage_oscilloscope[360] = { /* 0X00,0X01,0X48,0X00,0X28,0X00, */
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XE0,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X07,0XE0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XE7,0XFF,0XFF,
0XFF,0XFF,0XFF,0XF0,0X1F,0X07,0XE7,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X3F,0X87,0XE7,
0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X7F,0XC7,0XE7,0X00,0X00,0X00,0X00,0X00,0X70,0XF1,
0XE7,0XE7,0X00,0X00,0X00,0X00,0X00,0X70,0XE0,0XE7,0XE7,0X00,0X00,0X00,0X00,0X00,
0X70,0XE0,0XE7,0XE7,0X00,0X00,0X00,0X00,0X00,0X70,0XE0,0XE7,0XE7,0X00,0X00,0X00,
0X00,0X00,0X70,0XF1,0XE7,0XE7,0X00,0X00,0X00,0X00,0X00,0X70,0X7F,0XC7,0XE7,0X00,
0X00,0X00,0X00,0X00,0X70,0X3F,0X87,0XE7,0X7C,0X00,0X00,0X00,0X00,0X70,0X1F,0X07,
0XE7,0XFF,0X00,0X00,0X00,0X00,0XF0,0X00,0X07,0XE7,0XFF,0XC0,0X00,0X00,0X01,0XF0,
0X00,0X07,0XE7,0XC7,0XF0,0X00,0X00,0X03,0XF0,0X1F,0X07,0XE7,0X81,0XF8,0X00,0X00,
0X07,0XF0,0X3F,0X87,0XE7,0X80,0X7E,0X00,0X00,0X0F,0X70,0X7F,0XC7,0XE7,0X00,0X1F,
0X80,0X00,0X1E,0X70,0XF1,0XE7,0XE7,0X00,0X0F,0XE0,0X00,0X7C,0X70,0XE0,0XE7,0XE7,
0X00,0X03,0XF8,0X01,0XF8,0X70,0XE0,0XE7,0XE7,0X00,0X00,0XFF,0X0F,0XF0,0X70,0XE0,
0XE7,0XE7,0X00,0X00,0X3F,0XFF,0XC0,0X70,0XF1,0XE7,0XE7,0X00,0X00,0X0F,0XFF,0X00,
0X70,0X7F,0XC7,0XE7,0X00,0X00,0X00,0XF0,0X00,0X70,0X3F,0X87,0XE7,0X00,0X00,0X00,
0X00,0X00,0X70,0X1F,0X07,0XE7,0X00,0X00,0X00,0X00,0X00,0X70,0X00,0X07,0XE7,0X00,
0X00,0X00,0X00,0X00,0X70,0X00,0X07,0XE7,0X00,0X00,0X00,0X00,0X00,0X70,0X00,0X07,
0XE7,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X00,0X07,0XE7,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,
0X00,0X07,0XE7,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X00,0X07,0XE0,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X07,0XE0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,};
const GUI_BITMAP bmoscilloscope1pp = {
 72, /* XSize */
 40, /* YSize */
 9, /* BytesPerLine */
 1, /* BitsPerPixel */
 gImage_oscilloscope,  /* Pointer to picture data (indices) */
 &PaloscilloscopeBitamp  /* Pointer to palette */
};
/**************************************************************************************************************/
const GUI_COLOR ColorsBitamp_FFT[] = {
   0x000000,0xFFFFFF
};
const GUI_LOGPALETTE PalFFTBitamp = {
  2,	/* number of entries */
  1, 	/* No transparency */
  &ColorsBitamp_FFT[0]
};
const unsigned char gImage_FFT[210] = { /* 0X00,0X01,0X38,0X00,0X1E,0X00, */
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X38,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X70,0X00,0X00,0X00,0X00,0X01,0XC0,0X00,0X00,
0X00,0X00,0X00,0X38,0X00,0X03,0X80,0X00,0X00,0X0E,0X38,0X00,0X00,0X00,0X00,0X00,
0X00,0X38,0X00,0X70,0X00,0X00,0X00,0X00,0X38,0X0E,0X70,0X00,0X00,0X00,0X0E,0X39,
0XC0,0X73,0X80,0X00,0X00,0X0E,0X39,0XC0,0X73,0X80,0X00,0X00,0X0E,0X39,0XC0,0X73,
0X80,0X00,0X00,0X0E,0X39,0XC0,0X73,0X80,0X00,0X00,0X0E,0X39,0XC0,0X73,0X80,0X00,
0X00,0X0E,0X39,0XCE,0X73,0X9C,0X00,0X00,0X0E,0X39,0XCE,0X73,0X80,0X00,0X01,0XCE,
0X39,0XCE,0X73,0X80,0X00,0X00,0X0E,0X39,0XCE,0X73,0X80,0X00,0X00,0X0E,0X39,0XCE,
0X73,0X80,0X00,0X00,0X0E,0X39,0XCE,0X73,0X9C,0X00,0X38,0X0E,0X39,0XCE,0X73,0X9C,
0XE0,0X01,0XCE,0X39,0XCE,0X73,0X9C,0X00,0X01,0XCE,0X39,0XCE,0X73,0X9C,0X00,0X01,
0XCE,0X39,0XCE,0X73,0X9C,0X07,0X39,0XCE,0X39,0XCE,0X73,0X9C,0X00,0X39,0XCE,0X39,
0XCE,0X73,0X9C,0XE0,0X39,0XCE,0X39,0XCE,0X73,0X9C,0XE0,0X39,0XCE,0X39,0XCE,0X73,
0X9C,0XE0,0X39,0XCE,0X39,0XCE,0X73,0X9C,0XE7,0X39,0XCE,0X39,0XCE,0X73,0X9C,0XE7,
0X39,0XCE,};
const GUI_BITMAP bmFFT1pp = {
 56, /* XSize */
 30, /* YSize */
 7, /* BytesPerLine */
 1, /* BitsPerPixel */
 gImage_FFT,  /* Pointer to picture data (indices) */
 &PalFFTBitamp  /* Pointer to palette */
};

GUI_CONST_STORAGE GUI_COLOR Colorsphotobitmap[] = {
     0x000000,0xBBBBBB,0xDDDDDD,0xFFFFFF
};

GUI_CONST_STORAGE GUI_LOGPALETTE Palphotobitmap = {
  4,	/* number of entries */
  1, 	/* No transparency */
  &Colorsphotobitmap[0]
};

GUI_CONST_STORAGE unsigned char acphotobitmap[] = {
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x40, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x00, 0xE0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x30, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x28, 0x00,
  0x00, 0x00, 0x00, 0x0B, 0xF0, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x18, 0x00,
  0x00, 0x0A, 0x00, 0x3C, 0x3C, 0x00, 0x00, 0x0F, 0xFC, 0x00, 0x08, 0x00,
  0x00, 0x3E, 0xF0, 0xD0, 0x0C, 0x00, 0x00, 0x34, 0x0C, 0x00, 0x1E, 0x80,
  0x00, 0xB0, 0x1D, 0xC0, 0x0D, 0x00, 0x00, 0xD0, 0x03, 0x00, 0x3D, 0xB0,
  0x00, 0x90, 0x0B, 0x00, 0x0C, 0x00, 0x00, 0xC0, 0x03, 0xFF, 0xD0, 0x0C,
  0x00, 0x90, 0x03, 0x00, 0x1C, 0x00, 0x00, 0xC0, 0x03, 0x00, 0xC0, 0x0D,
  0x00, 0xA0, 0x03, 0x00, 0x30, 0x00, 0x00, 0x70, 0x09, 0x00, 0x30, 0x07,
  0x00, 0x30, 0x03, 0x80, 0xFF, 0x40, 0x00, 0x38, 0x0C, 0x00, 0x30, 0x07,
  0x00, 0x1C, 0x0E, 0xBF, 0x00, 0xF0, 0x00, 0x0B, 0xFC, 0x00, 0x30, 0x0C,
  0x00, 0x6F, 0x70, 0x0D, 0x00, 0x30, 0x00, 0x0E, 0x03, 0x00, 0xB5, 0xB0,
  0x0F, 0x81, 0xD0, 0x03, 0x00, 0x18, 0x00, 0x28, 0x02, 0xD7, 0xBE, 0x40,
  0x2C, 0x00, 0x80, 0x03, 0x00, 0x0C, 0x00, 0x30, 0x00, 0xF8, 0x0C, 0x00,
  0x30, 0x00, 0x90, 0x03, 0x00, 0x24, 0x00, 0x30, 0x00, 0xC0, 0x07, 0x00,
  0x30, 0x00, 0x30, 0x0E, 0x00, 0xB0, 0x00, 0x18, 0x00, 0xC0, 0x03, 0x00,
  0x34, 0x00, 0xFF, 0xBF, 0xEF, 0x80, 0x00, 0x0D, 0x0B, 0xC0, 0x03, 0x00,
  0x0F, 0x6F, 0xE0, 0x03, 0xD0, 0x00, 0x00, 0x03, 0xF4, 0xC0, 0x07, 0x00,
  0x01, 0x90, 0xC0, 0x03, 0xF0, 0x00, 0x00, 0x03, 0x80, 0x70, 0x1C, 0x00,
  0x00, 0x00, 0xC0, 0x02, 0xBC, 0x00, 0x00, 0x0F, 0x00, 0x1F, 0xF0, 0x00,
  0x00, 0x00, 0xC0, 0x03, 0x1E, 0x00, 0x00, 0x1D, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xD0, 0x03, 0x0F, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x30, 0x0E, 0x03, 0xC0, 0x00, 0x74, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x1F, 0xBC, 0x02, 0xD0, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x02, 0x80, 0x00, 0xF0, 0x01, 0xD0, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0x03, 0xC0, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x03, 0xC0, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x0B, 0x40, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x4F, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xCF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xDD, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

GUI_CONST_STORAGE GUI_BITMAP bmphotobitmap = {
  48, /* XSize */
  42, /* YSize */
  12, /* BytesPerLine */
  2, /* BitsPerPixel */
  acphotobitmap,  /* Pointer to picture data (indices) */
  &Palphotobitmap  /* Pointer to palette */
};



/**************************************************************************************************************/
#endif
