#ifndef _RTC_H
#define _RTC_H
/**
  *******************************************
  * ʹrtc_init()bkp_init()
  * ʵRTCBKPʹ
  * RTC_Set()ʱ
  * RTC_Get()ȡʱ
  * ʱ䱣timerṹ
  *******************************************
  */

#include "stm32f10x.h"
#include "sys.h"
#include "ili93xx_drive.h"

//ж
//#define RTC_SEC_INT

//ʱṹ
typedef struct 
{
	uint8_t hour;
	uint8_t min;
	uint8_t sec;			
	//
	uint16_t w_year;
	uint8_t  w_month;
	uint8_t  w_date;
	uint8_t  week;		 
}tm;					 
extern tm timer; //һʱ

extern uint8_t const mon_table[12]; //·ݱ
extern uint8_t const week[7][4]; //ݱ

void rtc_init(void); //RTCʼ
void bkp_init(void); //ʼ
void LCD_ShowTime(uint16_t x, uint16_t y); //ʾʱ
//ֲĺ
uint8_t Is_Leap_Year(uint16_t year); //ƽ, ж
uint8_t RTC_Get(void); //ʱ   
uint8_t RTC_Get_Week(uint16_t year, uint8_t month, uint8_t day); //
uint8_t RTC_Set(uint16_t syear, uint8_t smon, uint8_t sday, uint8_t hour, uint8_t min, uint8_t sec);//ʱ	  

#endif 


