#include "sys.h"
#include "usart.h"		
#include "delay.h"
#include "math.h"
#include "stdio.h"
	
#include "led.h" 
#include "timer.h"
#include "text.h"
#include "gui.h"
#include "touch.h"
#include "bitmap.h"
#include "WM.h"
#include "button.h"
#include "progbar.h"
#include "CHECKBOX.h"
#include "listbox.h"
#include "framewin.h"
#include "SCROLLBAR.h"
#include "edit.h"




// -------------------- ṹ --------------------- //
GUI_PID_STATE STATE;		//ñΪGUIx yλô洢꣨ڲѽ任ΪĻˣ



BUTTON_Handle hButton_A;
BUTTON_Handle hButton_B;
BUTTON_Handle hButton_C;
BUTTON_Handle hButton_D;
BUTTON_Handle hButton_F;
BUTTON_Handle hButton_J;		
BUTTON_Handle hButton_K;


BUTTON_Handle hButton_1;
BUTTON_Handle hButton_2;
BUTTON_Handle hButton_3;
BUTTON_Handle hButton_4;
BUTTON_Handle hButton_5;
BUTTON_Handle hButton_6;
BUTTON_Handle hButton_7;
BUTTON_Handle hButton_8;
BUTTON_Handle hButton_9;
BUTTON_Handle hButton_0;		//  10
BUTTON_Handle hButton_Point;	//	11

BUTTON_Handle hButton_Add;		//	12
BUTTON_Handle hButton_Sub;		//	13
BUTTON_Handle hButton_Mul;		//	14
BUTTON_Handle hButton_Div;		//	15

BUTTON_Handle hButton_Equ;		//	16
BUTTON_Handle hButton_Inv;		//	17
BUTTON_Handle hButton_Per;		//	18

BUTTON_Handle hButton_Bac;		//	19
//BUTTON_Handle hButton_CE;		//	20
BUTTON_Handle hButton_AC;		//	21

BUTTON_Handle hButton_Neg;		//	22
BUTTON_Handle hButton_Exit;		//	23

EDIT_Handle hEdit;

BUTTON_Handle hButton_SetTime;		//	22
BUTTON_Handle hButton_SetThemeColor;
BUTTON_Handle hButton_SetSound;
BUTTON_Handle hButton_SetLockScreen;
BUTTON_Handle hButton_SetApp;
BUTTON_Handle hButton_SetLanguage;
BUTTON_Handle hButton_SetAbout;
BUTTON_Handle hButton_SetExit;

LISTBOX_Handle hListBox_SelectColor;
const GUI_ConstString Color[] =
{
   "Blue","Green","Yellow","Red","Gray","Cyan","Magenta",NULL
};
BUTTON_Handle hButton_OK;
BUTTON_Handle hButton_Cancel;



// --------------------  ---------------------- //
double Result=0;
u8 AC_Flag=0;				// 0ո,¿ʼ	1:
u8 Operator=0;				// 0	1:+		2:-		3:*		4:/
u8 Operator_Last=0;
u8 Update_Var=0;
double Variable=0;				// Ӽ˳ı
u8 Inte_Digits=0;			// λ
u8 Deci_Digits=0;			// Сλ
u8 Point_Flag=0;			// 0:ûС 1С
unsigned char str[9];
unsigned char Inv_str[10];
u8 Deci_Len;
int Inverse_Flag=1;


// --------------------- ֽ ----------------------- //
void Result_To_String(void);
void Touch_Process(void);
void Inverse_Key(void);
void Frame_Init(void);
void Menu_Init(void);
void Calculate_Show(void);
void Calculate_Hide(void);
void Menu_Show(void);
void Menu_Hide(void);
void Set_MenuColor(GUI_COLOR color);
void Set_Init(void);
void Set_Show(void);
void Set_Hide(void);
u8 Set_Process(void);
void ListBox_Init(void);
void ListBox_Show(void);
void ListBox_Hide(void);
u8 ListBox_Process(void);
// -----------------------------------------------------//
void Edit_Init(void)
{
	hEdit=EDIT_Create(5,25,220,48,10,WM_CF_SHOW,10);
	EDIT_SetTextAlign(hEdit,GUI_TA_RIGHT|GUI_TA_VCENTER);
	EDIT_SetFont(hEdit,&GUI_Font32B_ASCII);
	EDIT_SetText(hEdit,"0");
	GUI_Delay(10);
}
void Calculate_Hide(void)
{
	WM_HideWindow(hButton_1);
	WM_HideWindow(hButton_2);
	WM_HideWindow(hButton_3);
	WM_HideWindow(hButton_4);
	WM_HideWindow(hButton_5);
	WM_HideWindow(hButton_6);
	WM_HideWindow(hButton_7);
	WM_HideWindow(hButton_8);
	WM_HideWindow(hButton_9);
	WM_HideWindow(hButton_0);
	WM_HideWindow(hButton_Point);
	WM_HideWindow(hButton_Add);
	WM_HideWindow(hButton_Sub);
	WM_HideWindow(hButton_Mul);
	WM_HideWindow(hButton_Div);
	WM_HideWindow(hButton_Equ);
	WM_HideWindow(hButton_Inv);
	WM_HideWindow(hButton_Per);
	WM_HideWindow(hButton_Bac);
	WM_HideWindow(hButton_AC);
	WM_HideWindow(hButton_Neg);
	WM_HideWindow(hButton_Exit);
	WM_HideWindow(hEdit);	
}
void Calculate_Show(void)
{
	WM_Paint(hButton_1);
	WM_ShowWindow(hButton_1);
	WM_Paint(hButton_2);
	WM_ShowWindow(hButton_2);
	WM_Paint(hButton_3);
	WM_ShowWindow(hButton_3);
	WM_Paint(hButton_4);
	WM_ShowWindow(hButton_4);
	WM_Paint(hButton_5);
	WM_ShowWindow(hButton_5);
	WM_Paint(hButton_6);
	WM_ShowWindow(hButton_6);
	WM_Paint(hButton_7);
	WM_ShowWindow(hButton_7);
	WM_Paint(hButton_8);
	WM_ShowWindow(hButton_8);
	WM_Paint(hButton_9);
	WM_ShowWindow(hButton_9);
	WM_Paint(hButton_0);
	WM_ShowWindow(hButton_0);
	WM_Paint(hButton_Point);
	WM_ShowWindow(hButton_Point);
	WM_Paint(hButton_Add);
	WM_ShowWindow(hButton_Add);
	WM_Paint(hButton_Sub);
	WM_ShowWindow(hButton_Sub);
	WM_Paint(hButton_Mul);
	WM_ShowWindow(hButton_Mul);
	WM_Paint(hButton_Div);
	WM_ShowWindow(hButton_Div);
	WM_Paint(hButton_Equ);
	WM_ShowWindow(hButton_Equ);
	WM_Paint(hButton_Inv);
	WM_ShowWindow(hButton_Inv);
	WM_Paint(hButton_Per);
	WM_ShowWindow(hButton_Per);
	WM_Paint(hButton_Bac);
	WM_ShowWindow(hButton_Bac);
	WM_Paint(hButton_AC);
	WM_ShowWindow(hButton_AC);
	WM_Paint(hButton_Neg);
	WM_ShowWindow(hButton_Neg);
	WM_Paint(hButton_Exit);
	WM_ShowWindow(hButton_Exit);
	WM_Paint(hEdit);
	WM_ShowWindow(hEdit);
}
void Menu_Show(void)
{
	WM_Paint(hButton_A);
	WM_ShowWindow(hButton_A);
	WM_Paint(hButton_B);
	WM_ShowWindow(hButton_B);
	WM_Paint(hButton_C);
	WM_ShowWindow(hButton_C);
	WM_Paint(hButton_D);
	WM_ShowWindow(hButton_D);
	WM_Paint(hButton_F);
	WM_ShowWindow(hButton_F);
	WM_Paint(hButton_J);
	WM_ShowWindow(hButton_J);
	WM_Paint(hButton_K);
	WM_ShowWindow(hButton_K);
}
void Menu_Hide(void)
{
	WM_HideWindow(hButton_A);
	WM_HideWindow(hButton_B);
	WM_HideWindow(hButton_C);
	WM_HideWindow(hButton_D);
	WM_HideWindow(hButton_F);
	WM_HideWindow(hButton_J);
	WM_HideWindow(hButton_K);
}

void Set_MenuColor(GUI_COLOR color)
{
	BUTTON_SetBkColor(hButton_A,0,color);
	BUTTON_SetBkColor(hButton_B,0,color);
	BUTTON_SetBkColor(hButton_C,0,color);
	BUTTON_SetBkColor(hButton_D,0,color);
	BUTTON_SetBkColor(hButton_F,0,color);
	BUTTON_SetBkColor(hButton_J,0,color);
	BUTTON_SetBkColor(hButton_K,0,color);
}

void Set_Init(void)
{
	hButton_SetTime = BUTTON_Create(5, 40, 230, 35, 111, WM_CF_SHOW);
	BUTTON_SetTextAlign(hButton_SetTime,GUI_TA_VCENTER);
	BUTTON_SetTextColor(hButton_SetTime,0, GUI_DARKRED);
	BUTTON_SetText(hButton_SetTime, "Time");
	BUTTON_SetBkColor(hButton_SetTime,0,GUI_LIGHTBLUE);

	hButton_SetThemeColor = BUTTON_Create(5, 75, 230, 35, 112, WM_CF_SHOW);
	BUTTON_SetTextAlign(hButton_SetThemeColor,GUI_TA_VCENTER);
	BUTTON_SetTextColor(hButton_SetThemeColor,0, GUI_DARKRED);
	BUTTON_SetText(hButton_SetThemeColor, "ThemeColors");
	BUTTON_SetBkColor(hButton_SetThemeColor,0,GUI_LIGHTBLUE);

	hButton_SetSound = BUTTON_Create(5, 110, 230, 35, 113, WM_CF_SHOW);
	BUTTON_SetTextAlign(hButton_SetSound,GUI_TA_VCENTER);
	BUTTON_SetTextColor(hButton_SetSound,0, GUI_DARKRED);
	BUTTON_SetText(hButton_SetSound, "Sound");
	BUTTON_SetBkColor(hButton_SetSound,0,GUI_LIGHTBLUE);

	hButton_SetLockScreen = BUTTON_Create(5, 145, 230, 35, 114, WM_CF_SHOW);
	BUTTON_SetTextAlign(hButton_SetLockScreen,GUI_TA_VCENTER);
	BUTTON_SetTextColor(hButton_SetLockScreen,0, GUI_DARKRED);
	BUTTON_SetText(hButton_SetLockScreen, "LockScreen");
	BUTTON_SetBkColor(hButton_SetLockScreen,0,GUI_LIGHTBLUE);

	hButton_SetApp = BUTTON_Create(5, 180, 230, 35, 115, WM_CF_SHOW);
	BUTTON_SetTextAlign(hButton_SetApp,GUI_TA_VCENTER);
	BUTTON_SetTextColor(hButton_SetApp,0, GUI_DARKRED);
	BUTTON_SetText(hButton_SetApp, "App");
	BUTTON_SetBkColor(hButton_SetApp,0,GUI_LIGHTBLUE);

	hButton_SetLanguage = BUTTON_Create(5, 215, 230, 35, 116, WM_CF_SHOW);
	BUTTON_SetTextAlign(hButton_SetLanguage,GUI_TA_VCENTER);
	BUTTON_SetTextColor(hButton_SetLanguage,0, GUI_DARKRED);
	BUTTON_SetText(hButton_SetLanguage, "Language");
	BUTTON_SetBkColor(hButton_SetLanguage,0,GUI_LIGHTBLUE);

	hButton_SetAbout = BUTTON_Create(5, 250, 230, 35, 117, WM_CF_SHOW);
	BUTTON_SetTextAlign(hButton_SetAbout,GUI_TA_VCENTER);
	BUTTON_SetTextColor(hButton_SetAbout,0, GUI_DARKRED);
	BUTTON_SetText(hButton_SetAbout, "About");
	BUTTON_SetBkColor(hButton_SetAbout,0,GUI_LIGHTBLUE);

	hButton_SetExit = BUTTON_Create(5, 285, 230, 35, 118, WM_CF_SHOW);
	BUTTON_SetTextAlign(hButton_SetExit,GUI_TA_VCENTER);
	BUTTON_SetTextColor(hButton_SetExit,0, GUI_DARKRED);
	BUTTON_SetText(hButton_SetExit, "Exit");
	BUTTON_SetBkColor(hButton_SetExit,0,GUI_LIGHTBLUE);
}

void ListBox_Init(void)
{
	hListBox_SelectColor=LISTBOX_Create(Color,5,5,230,280,WM_CF_SHOW);
	LISTBOX_SetBackColor(hListBox_SelectColor,0,GUI_LIGHTBLUE);
  	LISTBOX_SetBackColor(hListBox_SelectColor,1,GUI_DARKBLUE);
  	LISTBOX_SetTextColor(hListBox_SelectColor,0,GUI_BLACK);
  	LISTBOX_SetTextColor(hListBox_SelectColor,1,GUI_WHITE);
	hButton_OK=BUTTON_Create(10, 285, 70, 35, 119, WM_CF_SHOW);
	BUTTON_SetText(hButton_OK, "OK");
	hButton_Cancel=BUTTON_Create(160, 285, 70, 35, 120, WM_CF_SHOW);
	BUTTON_SetText(hButton_Cancel, "Cancel");
}

void Set_Show(void)
{
	WM_Paint(hButton_SetTime);
	WM_ShowWindow(hButton_SetTime);
	WM_Paint(hButton_SetThemeColor);
	WM_ShowWindow(hButton_SetThemeColor);
	WM_Paint(hButton_SetSound);
	WM_ShowWindow(hButton_SetSound);
	WM_Paint(hButton_SetLockScreen);
	WM_ShowWindow(hButton_SetLockScreen);
	WM_Paint(hButton_SetApp);
	WM_ShowWindow(hButton_SetApp);
	WM_Paint(hButton_SetLanguage);
	WM_ShowWindow(hButton_SetLanguage);
	WM_Paint(hButton_SetAbout);
	WM_ShowWindow(hButton_SetAbout);
	WM_Paint(hButton_SetExit);
	WM_ShowWindow(hButton_SetExit);
}

void ListBox_Show(void)
{
	WM_Paint(hListBox_SelectColor);
	WM_ShowWindow(hListBox_SelectColor);
	WM_Paint(hButton_OK);
	WM_ShowWindow(hButton_OK);
	WM_Paint(hButton_Cancel);
	WM_ShowWindow(hButton_Cancel);
}

void ListBox_Hide(void)
{
	WM_HideWindow(hListBox_SelectColor);
	WM_HideWindow(hButton_OK);
	WM_HideWindow(hButton_Cancel);
}

u8 ListBox_Process(void)
{
	u8 quit=0;
   switch(GUI_GetKey())
   {
	   case 119:
	    	switch(LISTBOX_GetSel(hListBox_SelectColor))
			{
				case 0:
					Set_MenuColor(GUI_BLUE);
					break;
				case 1:
					Set_MenuColor(GUI_GREEN);
					break;
				case 2:
					Set_MenuColor(GUI_YELLOW);
					break;
				case 3:
					Set_MenuColor(GUI_RED);
					break;
				case 4:
					Set_MenuColor(GUI_GRAY);
					break;
				case 5:
					Set_MenuColor(GUI_CYAN);
					break;
				case 6:
					Set_MenuColor(GUI_MAGENTA);
					break;
				default :
					break;
			}
	   	quit=1;
	   	break;
   	   case 120:
	    quit=1;
	    break;
	   default :
	    break;
   }
   return quit;
}

u8 Set_Process(void)
{
	 u8 exit=0;
	 u8 quit=0;
	 switch(GUI_GetKey())
	{
		 case 111:
		 	break;
		 case 112:
		 	Set_Hide();
		 	if(hListBox_SelectColor==0)
			{
				ListBox_Init();	 
			}
			else
			{
				ListBox_Show();
			}
			while(!quit)
			{
				Touch_Process();
				quit=ListBox_Process();	
				GUI_Delay(10);	
			}			
			ListBox_Hide();
			WM_SetDesktopColor(GUI_LIGHTYELLOW);
			Set_Show();
		 	break;
		 case 113:
		 	break;
		 case 114:
		 	break;
		 case 115:
		 	break;
		 case 116:
		 	break;
		 case 117:
		 	break;
		 case 118:
		 	exit=1;
		 	break;
		 default: 
		 	break;
	}
	return exit;
}

void Set_Hide(void)
{
	WM_HideWindow(hButton_SetTime);
	WM_HideWindow(hButton_SetThemeColor);
	WM_HideWindow(hButton_SetSound);
	WM_HideWindow(hButton_SetLockScreen);
	WM_HideWindow(hButton_SetApp);
	WM_HideWindow(hButton_SetLanguage);
	WM_HideWindow(hButton_SetAbout);
	WM_HideWindow(hButton_SetExit);
}

//
void Touch_Process(void)
{
	GUI_TOUCH_GetState(&STATE);
//	GUI_DispStringAt("x:", 0, 300);
//	GUI_DispDec(STATE.x, 3);
//	GUI_DispStringAt("y:", 50, 300);
//	GUI_DispDec(STATE.y, 3);
	if (STATE.Pressed == 1)
	{
		GUI_CURSOR_SetPosition(STATE.x,STATE.y);
	//	GUI_CURSOR_Show();
	}
}
//

//
u8 Button_Process(void)
{
	u8 exit=0;
	float temp1,temp2;
	switch(GUI_GetKey())
	{
		case 10:// 0
				Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
					EDIT_SetText(hEdit,"0");
				}	
				if(Point_Flag!=0)  	// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						EDIT_AddKey(hEdit,'0');	
					}	
				}		
				else
				{
					if(Variable!=0)
					{
						if(Inte_Digits<8)
						{
							Inte_Digits++;
							Variable*=10;
							EDIT_AddKey(hEdit,'0');
						}
					}
				}
				break;

		case 1:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=1/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'1');		
					}	
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=1*Inverse_Flag;
						EDIT_AddKey(hEdit,'1');	
					}
				}
				
				
				break;
		case 2:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=2/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'2');	
					}
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=2*Inverse_Flag;
						EDIT_AddKey(hEdit,'2');
					}
				}
				if(Operator!=0)
				{
					AC_Flag=1;
				}
				
				break;

		case 3:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=3/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'3');	
					}
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=3*Inverse_Flag;
						EDIT_AddKey(hEdit,'3');
					}
				}
				
				break;

		case 4:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=4/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'4');	
					}
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=4*Inverse_Flag;
						EDIT_AddKey(hEdit,'4');
					}
				}
				
				break;
		case 5:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=5/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'5');	
					}
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=5*Inverse_Flag;
						EDIT_AddKey(hEdit,'5');
					}
				}
				
				break;
		case 6:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=6/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'6');	
					}
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=6*Inverse_Flag;
						EDIT_AddKey(hEdit,'6');
					}
				}
				
				break;
		case 7:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=7/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'7');	
					}
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=7*Inverse_Flag;
						EDIT_AddKey(hEdit,'7');
					}
				}
				
				break;
		case 8:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=8/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'8');	
					}
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=8*Inverse_Flag;
						EDIT_AddKey(hEdit,'8');
					}
				}
				
				break;

		case 9:	Operator_Last=Operator;
				if(Update_Var==1)
				{
					Update_Var=0;
					Variable=0;
				}
				if(Point_Flag!=0)  		// С㣬ʼС
				{
					if(Deci_Digits<7)
					{
						Deci_Digits++;
						Variable+=9/pow(10,Deci_Digits)*Inverse_Flag;
						EDIT_AddKey(hEdit,'9');	
					}
				}		
				else
				{
					if(Inte_Digits<8)
					{
						if(Inte_Digits==0)
						{
							EDIT_SetText(hEdit,NULL);
						}
						Inte_Digits++;
						Variable*=10;
						Variable+=9*Inverse_Flag;
						EDIT_AddKey(hEdit,'9');
					}
				}
				
				break;
		
		case 11:// С
				Operator_Last=Operator;
				if(Point_Flag==0)
				{
					Point_Flag=1;
					if(Update_Var==1)
					{
						Update_Var=0;
						Variable=0;	
						EDIT_SetText(hEdit,"0");
					}
					EDIT_AddKey(hEdit,'.');		
				}	
				break;
		case 12:// +
				switch(Operator_Last)
				{
					case 0:	if(Operator==0)
							{
								 Result=Variable;
							}
							break;
					case 1:	Result+=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 2:	Result-=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 3:	Result*=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 4:	Result/=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 5:	Result = Variable;
							Variable=0;
							break;
					default:break;
				}
				Operator_Last=0;
				Operator=1;
				Update_Var=1;
				
				Deci_Digits=0;
				Inte_Digits=0;	
				Point_Flag=0;
				Inverse_Flag=1;
					
				break;

		case 13:// -
				switch(Operator_Last)
				{
					case 0:	if(Operator==0)
							{
								 Result=Variable;
							}
							break;
					case 1:	Result+=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 2:	Result-=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 3:	Result*=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 4:	Result/=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 5:	Result = Variable;
							Variable=0;
							break;
					default:break;
				}
				Operator_Last=0;
				Operator=2;
				Update_Var=1;
					
				Deci_Digits=0;
				Inte_Digits=0;	
				Point_Flag=0;
				Inverse_Flag=1;	
				break;

		case 14:// *
				switch(Operator_Last)
				{
					case 0:	if(Operator==0)
							{
								 Result=Variable;
							}
							break;
					case 1:	Result+=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 2:	Result-=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 3:	Result*=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 4:	Result/=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 5:	Result = Variable;
							Variable=0;
							break;
					default:break;
				}
				Operator_Last=0;
				Operator=3;
				Update_Var=1;

				Deci_Digits=0;
				Inte_Digits=0;	
				Point_Flag=0;
				Inverse_Flag=1;	
				break;

		case 15:// /
				switch(Operator_Last)
				{
					case 0:	if(Operator==0)
							{
								 Result=Variable;
							}	
							break;
					case 1:	Result+=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 2:	Result-=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 3:	Result*=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 4:	Result/=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 5:	Result = Variable;
							Variable=0;
							break;
					default:break;
				}
				Operator_Last=0;
				Operator=4;
				Update_Var=1;

				Deci_Digits=0;
				Inte_Digits=0;	
				Point_Flag=0;
				Inverse_Flag=1;
				break;

		case 16:// =
				switch(Operator_Last)
				{
					case 0:	if(Operator==0)
							{
								 Result=Variable;
							}	
							break;
					case 1:	Result+=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 2:	Result-=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 3:	Result*=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 4:	Result/=Variable;
							Result_To_String();
							Variable=0;
							break;
					case 5: Result =Variable;
							Result_To_String();
							Variable=0;
							break;
					default:break;
				}
				Operator_Last=0;
				Operator=5;
				Update_Var=1;

				Deci_Digits=0;
				Inte_Digits=0;	
				Point_Flag=0;
				Inverse_Flag=1;	
				break;

		case 17:// +/-
				Inverse_Key();	
				break;
		case 18:	
				break;
		case 19:// BACKSPACE
				if(Point_Flag==0)  		// 
				{	
					if(Inte_Digits==0)
					{
						
					}
					if(Inte_Digits==1)
					{
						Inte_Digits--;
						temp1= Variable/10;
						temp2=(int)(temp1);
						Variable=temp2;
						Inverse_Flag=1;
						EDIT_SetText(hEdit,"0");
					}
					if(Inte_Digits>1)
					{
						Inte_Digits--;
						temp1= Variable/10;
						temp2=(int)(temp1);
						Variable=temp2;
						EDIT_AddKey(hEdit,GUI_KEY_BACKSPACE);
					}		
				}
				else
				{
					if(Deci_Digits==0)
					{
						EDIT_AddKey(hEdit,GUI_KEY_BACKSPACE);
						Point_Flag=0;
					}
					if(Deci_Digits==1)
					{
						Deci_Digits=0;
						temp1=Variable;
						temp2=(int)(temp1);
						Variable=temp2;

						Point_Flag=0;
						Inverse_Flag=1;
						EDIT_AddKey(hEdit,GUI_KEY_BACKSPACE);
						EDIT_AddKey(hEdit,GUI_KEY_BACKSPACE);
					}
					if(Deci_Digits>1)
					{
						Deci_Digits--;
						temp1=Variable*pow(10,Deci_Digits);
						temp2=(int)(temp1);
						Variable=temp2/pow(10,Deci_Digits);

						EDIT_AddKey(hEdit,GUI_KEY_BACKSPACE);	
					}
				}
				 	
				break;
		case 20:	
				break;
		case 21:// AC 
				Result=0;
				AC_Flag=0;
				Operator=0;
				Operator_Last=0;
				Update_Var=0;
				Variable=0;
				Inte_Digits=0;
				Deci_Digits=0;
				Point_Flag=0;
				Inverse_Flag=1;
				EDIT_SetText(hEdit,"0");	
				break;
		case 22:	
				break;
		case 23:exit=1;	
				break;
				
		default:break;
	}
	return exit;
}
//
void Menu_Process(void)
{
	u8 exit=0;
	switch(GUI_GetKey())
	{
		case 100:
			break;
		case 101:
			break;
		case 102:
			Menu_Hide();
			WM_SetDesktopColor(GUI_GRAY);
			if(hEdit==0)
			{
				Frame_Init();
			}
			else
			{
				Calculate_Show();
			}			
			while(!exit)
			{				
			 	Touch_Process();
				exit=Button_Process();
				GUI_Delay(10);
			}
			Calculate_Hide();
			WM_SetDesktopColor(GUI_BLACK);
			exit=0;
			Menu_Show();
			break;
		case 103:
			break;
		case 105:
			break;
		case 109:
			Menu_Hide();
			WM_SetDesktopColor(GUI_LIGHTYELLOW);
			if(hButton_SetTime==0)
			{
				Set_Init();
			}
			else
			{
				Set_Show();
			}
			while(!exit)
			{				
			 	Touch_Process();
				exit=Set_Process();
				GUI_Delay(10);
			}
			Set_Hide();
			WM_SetDesktopColor(GUI_BLACK);
			exit=0;
			Menu_Show();
			break;
		case 110:
			break;
		default:break;
	}
}

void Frame_Init(void)
{
	hButton_1 = BUTTON_Create(5, 220, 40, 30, 1, WM_CF_SHOW);
	BUTTON_SetText(hButton_1, "1");
	hButton_2 = BUTTON_Create(50, 220, 40, 30, 2, WM_CF_SHOW);
	BUTTON_SetText(hButton_2, "2");
	hButton_3 = BUTTON_Create(95, 220, 40, 30, 3, WM_CF_SHOW);
	BUTTON_SetText(hButton_3, "3");
	hButton_4 = BUTTON_Create(5, 180, 40, 30, 4, WM_CF_SHOW);
	BUTTON_SetText(hButton_4, "4");
	hButton_5 = BUTTON_Create(50, 180, 40, 30, 5, WM_CF_SHOW);
	BUTTON_SetText(hButton_5, "5");
	hButton_6 = BUTTON_Create(95, 180, 40, 30, 6, WM_CF_SHOW);
	BUTTON_SetText(hButton_6, "6");
	hButton_7 = BUTTON_Create(5, 140, 40, 30, 7, WM_CF_SHOW);
	BUTTON_SetText(hButton_7, "7");
	hButton_8 = BUTTON_Create(50, 140, 40, 30, 8, WM_CF_SHOW);
	BUTTON_SetText(hButton_8, "8");
	hButton_9 = BUTTON_Create(95, 140, 40, 30, 9, WM_CF_SHOW);
	BUTTON_SetText(hButton_9, "9");

	hButton_0 = BUTTON_Create(5, 260, 85, 30, 10, WM_CF_SHOW);
	BUTTON_SetText(hButton_0, "0");
	hButton_Point = BUTTON_Create(95, 260, 40, 30, 11, WM_CF_SHOW);
	BUTTON_SetText(hButton_Point, ".");

	hButton_Div = BUTTON_Create(140, 140, 40, 30, 15, WM_CF_SHOW);
	BUTTON_SetText(hButton_Div, "/");
	hButton_Mul = BUTTON_Create(140, 180, 40, 30, 14, WM_CF_SHOW);
	BUTTON_SetText(hButton_Mul, "*");
	hButton_Sub = BUTTON_Create(140, 220, 40, 30, 13, WM_CF_SHOW);
	BUTTON_SetText(hButton_Sub, "-");
	hButton_Add = BUTTON_Create(140, 260, 40, 30, 12, WM_CF_SHOW);
	BUTTON_SetText(hButton_Add, "+");
	hButton_Equ = BUTTON_Create(185, 220, 40, 70, 16, WM_CF_SHOW);
	BUTTON_SetText(hButton_Equ, "=");
	hButton_Inv = BUTTON_Create(185, 180, 40, 30, 22, WM_CF_SHOW);
	BUTTON_SetText(hButton_Inv, "1/X");
	hButton_Per = BUTTON_Create(185, 140, 40, 30, 18, WM_CF_SHOW);
	BUTTON_SetText(hButton_Per, "%");

	hButton_Bac = BUTTON_Create(5, 100, 85, 30, 19, WM_CF_SHOW);
	BUTTON_SetText(hButton_Bac, "Backspace");
	//hButton_CE = BUTTON_Create(50, 100, 40, 30, 20, WM_CF_SHOW);
	//BUTTON_SetText(hButton_CE, "CE");
	hButton_AC = BUTTON_Create(95, 100, 40, 30, 21, WM_CF_SHOW);
	BUTTON_SetText(hButton_AC, "AC");
	hButton_Neg = BUTTON_Create(140, 100, 40, 30, 17, WM_CF_SHOW);
	BUTTON_SetText(hButton_Neg, "+/-");
	hButton_Exit = BUTTON_Create(185, 100, 40, 30, 23, WM_CF_SHOW);
	BUTTON_SetText(hButton_Exit, "Exit");
	Edit_Init();
	GUI_SetBkColor(GUI_WHITE);	
}
//
void Menu_Init(void)
{
	hButton_A = BUTTON_Create(2, 22, 120, 120, 100, WM_CF_SHOW);
	BUTTON_SetBkColor(hButton_A, 0, GUI_RED);
	BUTTON_SetBitmapEx(hButton_A,0,&bmmusic4pp,40,40);
	

	hButton_B = BUTTON_Create(125, 22, 55, 55, 101, WM_CF_SHOW);
	BUTTON_SetBkColor(hButton_B, 0, GUI_RED);
	BUTTON_SetBitmapEx(hButton_B,0,&bmmemo4pp,5,5);

	hButton_C = BUTTON_Create(183, 22, 55, 55, 102, WM_CF_SHOW);
	BUTTON_SetBkColor(hButton_C, 0, GUI_RED);
	BUTTON_SetTextColor(hButton_C,0,GUI_WHITE);
	BUTTON_SetText(hButton_C, "+ -\n x %");	

	hButton_D = BUTTON_Create(125, 80, 113, 120, 103, WM_CF_SHOW);
	BUTTON_SetBkColor(hButton_D, 0, GUI_RED);
	BUTTON_SetBitmapEx(hButton_D,0,&bmoscilloscope1pp,20,40);

	hButton_F = BUTTON_Create(2, 145, 120, 113, 105, WM_CF_SHOW);
	BUTTON_SetBkColor(hButton_F, 0, GUI_RED);
	BUTTON_SetBitmapEx(hButton_F,0,&bmgame4pp,40,40);

	hButton_J = BUTTON_Create(125, 203, 113, 55, 109, WM_CF_SHOW);
	BUTTON_SetBkColor(hButton_J, 0, GUI_RED);
	BUTTON_SetBitmapEx(hButton_J,0,& bmset4pp,40,7);

	hButton_K = BUTTON_Create(2, 261, 236, 67, 110, WM_CF_SHOW);
	BUTTON_SetBkColor(hButton_K, 0, GUI_RED);
	BUTTON_SetBitmapEx(hButton_K,0,& bmphotobitmap ,7,7);	
}
//

//

//
void Result_To_String(void)
{
	float temp_Result;
	int i;
	temp_Result = fabs(Result);
	for(i=0;i<9;i++)
	{
		str[i]=0;
		Inv_str[i]=0;
	}
	Inv_str[9]=0;

	if((temp_Result>=100000000)&&(temp_Result<1000000000))
	{
		str[0] = (int)(temp_Result/100000000)%10 + 48;
		str[1] = (int)(temp_Result/10000000)%10 + 48;
		str[2] = (int)(temp_Result/1000000)%10 + 48;
		str[3] = (int)(temp_Result/100000)%10 + 48;
		str[4] = (int)(temp_Result/10000)%10 + 48;
		str[5] = (int)(temp_Result/1000)%10 + 48;
		str[6] = (int)(temp_Result/100)%10 + 48;
		str[7] = (int)(temp_Result/10)%10 + 48;
		str[8] = (int)(temp_Result)%10 + 48;
		Deci_Len=0;	
	}
	else
	{
		if((temp_Result>=10000000)&&(temp_Result<100000000))
		{
			str[0] = (int)(temp_Result/10000000)%10 + 48;
			str[1] = (int)(temp_Result/1000000)%10 + 48;
			str[2] = (int)(temp_Result/100000)%10 + 48;
			str[3] = (int)(temp_Result/10000)%10 + 48;
			str[4] = (int)(temp_Result/1000)%10 + 48;
			str[5] = (int)(temp_Result/100)%10 + 48;
			str[6] = (int)(temp_Result/10)%10 + 48;
			str[7] = (int)(temp_Result)%10 + 48;
			str[8] = '.';
			Deci_Len=0;	
		}
		else
		{
			if((temp_Result>=1000000)&&(temp_Result<10000000))
			{
				str[0] = (int)(temp_Result/1000000)%10 + 48;
				str[1] = (int)(temp_Result/100000)%10 + 48;
				str[2] = (int)(temp_Result/10000)%10 + 48;
				str[3] = (int)(temp_Result/1000)%10 + 48;
				str[4] = (int)(temp_Result/100)%10 + 48;
				str[5] = (int)(temp_Result/10)%10 + 48;
				str[6] = (int)(temp_Result)%10 + 48;
				str[7] = '.';
				str[8] = (int)(temp_Result*10)%10 + 48;
				Deci_Len=1;	
			}
			else
			{
				if((temp_Result>=100000)&&(temp_Result<1000000))
				{
					str[0] = (int)(temp_Result/100000)%10 + 48;
					str[1] = (int)(temp_Result/10000)%10 + 48;
					str[2] = (int)(temp_Result/1000)%10 + 48;
					str[3] = (int)(temp_Result/100)%10 + 48;
					str[4] = (int)(temp_Result/10)%10 + 48;
					str[5] = (int)(temp_Result)%10 + 48;
					str[6] = '.';
					str[7] = (int)(temp_Result*10)%10 + 48;
					str[8] = (int)(temp_Result*100)%10 + 48;
					Deci_Len=2;	
				}
				else
				{
					if((temp_Result>=10000)&&(temp_Result<100000))
					{
						str[0] = (int)(temp_Result/10000)%10 + 48;
						str[1] = (int)(temp_Result/1000)%10 + 48;
						str[2] = (int)(temp_Result/100)%10 + 48;
						str[3] = (int)(temp_Result/10)%10 + 48;
						str[4] = (int)(temp_Result)%10 + 48;
						str[5] = '.';
						str[6] = (int)(temp_Result*10)%10 + 48;
						str[7] = (int)(temp_Result*100)%10 + 48;
						str[8] = (int)(temp_Result*1000)%10 + 48;
						Deci_Len=3;	
					}
					else
					{
						if((temp_Result>=1000)&&(temp_Result<10000))
						{
							str[0] = (int)(temp_Result/1000)%10 + 48;
							str[1] = (int)(temp_Result/100)%10 + 48;
							str[2] = (int)(temp_Result/10)%10 + 48;
							str[3] = (int)(temp_Result)%10+ 48;
							str[4] = '.';
							str[5] = (int)(temp_Result*10)%10 + 48;
							str[6] = (int)(temp_Result*100)%10 + 48;
							str[7] = (int)(temp_Result*1000)%10 + 48;
							str[8] = (int)(temp_Result*10000)%10 + 48;
							Deci_Len=4;	
						}
						else
						{
							if((temp_Result>=100)&&(temp_Result<1000))
							{
								str[0] = (int)(temp_Result/100)%10 + 48;
								str[1] = (int)(temp_Result/10)%10 + 48;
								str[2] = (int)(temp_Result)%10 + 48;
								str[3] = '.';
								str[4] = (int)(temp_Result*10)%10 + 48;
								str[5] = (int)(temp_Result*100)%10 + 48;
								str[6] = (int)(temp_Result*1000)%10 + 48;
								str[7] = (int)(temp_Result*10000)%10 + 48;
								str[8] = (int)(temp_Result*100000)%10 + 48;
								Deci_Len=5;	
							}
							else
							{
								if((temp_Result>=10)&&(temp_Result<100))
								{
									str[0] = (int)(temp_Result/10)%10 + 48;
									str[1] = (int)(temp_Result)%10 + 48;
									str[2] = '.';
									str[3] = (int)(temp_Result*10)%10 + 48;
									str[4] = (int)(temp_Result*100)%10 + 48;
									str[5] = (int)(temp_Result*1000)%10 + 48;
									str[6] = (int)(temp_Result*10000)%10 + 48;
									str[7] = (int)(temp_Result*100000)%10 + 48;
									str[8] = (int)(temp_Result*1000000)%10 + 48;
									Deci_Len=6;	
								}
								else
								{
									if((temp_Result>=1)&&(temp_Result<10))
									{
										str[0] = (int)(temp_Result)%10 + 48;
										str[1] = '.';
										str[2] = (int)(temp_Result*10)%10 + 48;
										str[3] = (int)(temp_Result*100)%10 + 48;
										str[4] = (int)(temp_Result*1000)%10 + 48;
										str[5] = (int)(temp_Result*10000)%10 + 48;
										str[6] = (int)(temp_Result*100000)%10 + 48;
										str[7] = (int)(temp_Result*1000000)%10 + 48;
										str[8] = (int)(temp_Result*10000000)%10 + 48;
										Deci_Len=7;	
									}
									else
									{
										if((temp_Result>=0.1)&&(temp_Result<1))
										{
											str[0] = 0 + 48;
											str[1] = '.';
											str[2] = (int)(temp_Result*10)%10 + 48;
											str[3] = (int)(temp_Result*100)%10 + 48;
											str[4] = (int)(temp_Result*1000)%10 + 48;
											str[5] = (int)(temp_Result*10000)%10 + 48;
											str[6] = (int)(temp_Result*100000)%10 + 48;
											str[7] = (int)(temp_Result*1000000)%10 + 48;
											str[8] = (int)(temp_Result*10000000)%10 + 48;
											Deci_Len=7;	
										}
										else
										{
											if((temp_Result>=0.01)&&(temp_Result<0.1))
											{												
												str[0] = 0 + 48;
												str[1] = '.';
												str[2] = 0 + 48;
												str[3] = (int)(temp_Result*100)%10 + 48;
												str[4] = (int)(temp_Result*1000)%10 + 48;
												str[5] = (int)(temp_Result*10000)%10 + 48;
												str[6] = (int)(temp_Result*100000)%10 + 48;
												str[7] = (int)(temp_Result*1000000)%10 + 48;
												str[8] = (int)(temp_Result*10000000)%10 + 48;
												Deci_Len=6;	
											}
											else
											{
												if((temp_Result>=0.001)&&(temp_Result<0.01))
												{												
													str[0] = 0 + 48;
													str[1] = '.';
													str[2] = 0 + 48;
													str[3] = 0 + 48;
													str[4] = (int)(temp_Result*1000)%10 + 48;
													str[5] = (int)(temp_Result*10000)%10 + 48;
													str[6] = (int)(temp_Result*100000)%10 + 48;
													str[7] = (int)(temp_Result*1000000)%10 + 48;
													str[8] = (int)(temp_Result*10000000)%10 + 48;
													Deci_Len=5;	
												}
												else
												{
													if((temp_Result>=0.0001)&&(temp_Result<0.001))
													{												
														str[0] = 0 + 48;
														str[1] = '.';
														str[2] = 0 + 48;
														str[3] = 0 + 48;
														str[4] = 0 + 48;
														str[5] = (int)(temp_Result*10000)%10 + 48;
														str[6] = (int)(temp_Result*100000)%10 + 48;
														str[7] = (int)(temp_Result*1000000)%10 + 48;
														str[8] = (int)(temp_Result*10000000)%10 + 48;
														Deci_Len=4;	
													}
													else
													{
														if((temp_Result>=0.00001)&&(temp_Result<0.0001))
														{												
															str[0] = 0 + 48;
															str[1] = '.';
															str[2] = 0 + 48;
															str[3] = 0 + 48;
															str[4] = 0 + 48;
															str[5] = 0 + 48;
															str[6] = (int)(temp_Result*100000)%10 + 48;
															str[7] = (int)(temp_Result*1000000)%10 + 48;
															str[8] = (int)(temp_Result*10000000)%10 + 48;
															Deci_Len=3;	
														}
														else
														{
															if((temp_Result>=0.000001)&&(temp_Result<0.00001))
															{												
																str[0] = 0 + 48;
																str[1] = '.';
																str[2] = 0 + 48;
																str[3] = 0 + 48;
																str[4] = 0 + 48;
																str[5] = 0 + 48;
																str[6] = 0 + 48;
																str[7] = (int)(temp_Result*1000000)%10 + 48;
																str[8] = (int)(temp_Result*10000000)%10 + 48;
																Deci_Len=2;	
															}
															else
															{
																if((temp_Result>=0.0000001)&&(temp_Result<0.000001))
																{												
																	str[0] = 0 + 48;
																	str[1] = '.';
																	str[2] = 0 + 48;
																	str[3] = 0 + 48;
																	str[4] = 0 + 48;
																	str[5] = 0 + 48;
																	str[6] = 0 + 48;
																	str[7] = 0 + 48;
																	str[8] = (long int)(temp_Result*10000000)%10 + 48;
																	Deci_Len=1;	
																}
																else
																{
																	if((temp_Result>=0.00000001)&&(temp_Result<0.0000001))
																	{												
																		str[0] = 0 + 48;
																		str[1] = NULL;
																		str[2] = NULL;
																		str[3] = NULL;
																		str[4] = NULL;
																		str[5] = NULL;
																		str[6] = NULL;
																		str[7] = NULL;
																		str[8] = NULL;
																		Result=0;
																		Deci_Len=0;	
																		Point_Flag=0;

																	}
																	else
																	{
																		if(temp_Result==0)
																		{
																			str[0] = 0 + 48;
																			str[1] = NULL;
																			str[2] = NULL;
																			str[3] = NULL;
																			str[4] = NULL;
																			str[5] = NULL;
																			str[6] = NULL;
																			str[7] = NULL;
																			str[8] = NULL;
																			Result=0;
																			Deci_Len=0;	
																			Point_Flag=0;
																		}
																	}
																}
															}	
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}

	if(Deci_Len!=0)
	{
		for(i=0;i<Deci_Len;i++)
		{
			if(str[8-i]==48)
			{
				str[8-i]=NULL;
			}
			else
			{
				break;
			}
		}
	}

	if(temp_Result>100000000)
	{
		EDIT_SetText(hEdit,"Error");
	}
	else
	{
		if(Result<0)
		{
			Inv_str[0]='-';
			for(i=0;i<9;i++)
			{
				Inv_str[i+1]=str[i];
			}
			EDIT_SetText(hEdit,Inv_str);
		}
		else
		{
			EDIT_SetText(hEdit,str);
		}
	}
}


//
void Inverse_Key(void)
{
	u8 i;
	for(i=0;i<9;i++)
	{
		str[i]=0;
		Inv_str[i]=0;
	}
	Inv_str[9]=0;

	if(Variable!=0)
	{
		if(Inverse_Flag==1)
		{
			Inverse_Flag=-1;
			EDIT_GetText(hEdit,str,10);
			Inv_str[0]='-';
			for(i=0;i<9;i++)
			{
				Inv_str[i+1]=str[i];
			}
			EDIT_SetText(hEdit,Inv_str);
		}
		else
		{
			Inverse_Flag=1;
			EDIT_GetText(hEdit,Inv_str,10);
			for(i=0;i<9;i++)
			{
				str[i]=Inv_str[i+1];
			}
			EDIT_SetText(hEdit,str);	
		}
		Variable = -Variable;
	}	
}


//
int main(void)
{		 			  
	Stm32_Clock_Init(9);//ϵͳʱ
	delay_init(72);		//ʱʼ
	uart_init(72,9600); //1ʼ  
	LED_Init();		 
	GUI_Init();
	StartTouch();


	GUI_SetBkColor(GUI_BLACK);

	Timerx_Init(71,1000);	
	Menu_Init();
	while(1)
	{			
		Touch_Process();
		Menu_Process();

	//	GUI_DispStringAt("Var", 0, 300);	
	//	GUI_DispFloatFix(Variable, 9,3);
	//	GUI_DispStringAt("Res", 120, 300);
	//	GUI_DispFloatFix(Result, 9,3);

	//	GUI_DispStringAt("Int:", 100, 300);
	//	GUI_DispDec(Inte_Digits, 1);
	//	GUI_DispStringAt("Dec:", 150, 300);
	//	GUI_DispDec(Deci_Digits, 1);

		GUI_Delay(10);			
	}
}
