#include "rtc.h"

tm timer;//ʱӽṹ

void rtc_init(void)
{
//ж
#ifdef RTC_SEC_INT
	NVIC_InitTypeDef NVIC_InitStructure;
#endif
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_BKP | RCC_APB1Periph_PWR, ENABLE);
	PWR_BackupAccessCmd(ENABLE);
	RCC_LSEConfig(RCC_LSE_ON);
	while(RCC_GetFlagStatus(RCC_FLAG_LSERDY) == RESET);
	RCC_RTCCLKConfig(RCC_RTCCLKSource_LSE);
	RCC_RTCCLKCmd(ENABLE);
	RTC_WaitForSynchro();
	RTC_WaitForLastTask();
//ΪRTCļֵͷƵ
//	RTC_EnterConfigMode(); 
//	RTC_WaitForLastTask();
//	RTC_SetCounter(0x00000017);
//	RTC_WaitForLastTask();
//	RTC_SetPrescaler(32767);
//	RTC_WaitForLastTask();
//	RTC_ExitConfigMode();
	PWR_BackupAccessCmd(DISABLE);
	if(BKP->DR1 != 1234) //ñ־
	{
		PWR_BackupAccessCmd(ENABLE);
		BKP_WriteBackupRegister(BKP_DR1, 1234);	 
		PWR_BackupAccessCmd(DISABLE);
		RTC_Set(2012, 7, 27, 0, 26, 15);  //ʱ 		
	}
//ж
#ifdef RTC_SEC_INT
	NVIC_InitStructure.NVIC_IRQChannel = RTC_IRQn;
	NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 3;
	NVIC_InitStructure.NVIC_IRQChannelSubPriority = 3;
	NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStructure);
	RTC_ITConfig(RTC_IT_SEC, ENABLE);
#endif
}

//ж
#ifdef RTC_SEC_INT
//uint32_t rtc_sec;
void RTC_IRQHandler(void)
{
	if(RTC_GetITStatus(RTC_IT_SEC) != RESET)
	{ 
//		rtc_sec = RTC_GetCounter();	  
//		printf("%d\n", rtc_sec);
	    RTC_Get();
//		printf("%d-%d-%d  %d:%d:%d\n", timer.w_year, timer.w_month, timer.w_date, timer.hour, timer.min, timer.sec);
		RTC_ClearITPendingBit(RTC_FLAG_SEC);
	}
}
#endif

void bkp_init(void)
{
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_BKP | RCC_APB1Periph_PWR, ENABLE);
//	PWR_BackupAccessCmd(ENABLE);
//	BKP_WriteBackupRegister(BKP_DR1, 128);
//	BKP_WriteBackupRegister(BKP_DR2, 1234);
//	PWR_BackupAccessCmd(DISABLE);
}

const uint8_t week[7][4] ={"Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"};
void LCD_ShowTime(uint16_t x, uint16_t y)
{
	LCD_ShowNum(x, y, timer.w_year, 4, 16);
	LCD_ShowString(x + 32, y,  "-");
	LCD_ShowNum(x + 40, y, timer.w_month, 2, 16);
	LCD_ShowString(x + 56, y, "-");
	LCD_ShowNum(x + 64, y, timer.w_date, 2, 16);
	LCD_ShowString(x + 88, y, week[timer.week]);
	LCD_ShowNum(x + 16, y+ 16, timer.hour, 2, 16);
	LCD_ShowString(x + 32, y+16, ":");
	LCD_ShowNum(x + 40, y+ 16, timer.min, 2, 16);
	LCD_ShowString(x + 56, y + 16, ":");
	LCD_ShowNum(x + 64, y + 16, timer.sec, 2, 16);
}

//´ֲԭRTC
//жǷ꺯
//·   1  2  3  4  5  6  7  8  9  10 11 12
//   31 29 31 30 31 30 31 31 30 31 30 31
// 31 28 31 30 31 30 31 31 30 31 30 31
//:
//:ǲ.1,.0,
uint8_t Is_Leap_Year(uint16_t year)
{			  
	if(year % 4 == 0) //ܱ4
	{ 
		if(year % 100 == 0) 
		{ 
			if(year % 400 == 0)
			{
				return 1;//00β,Ҫܱ400 
			}	   
			else 
			{
				return 0; 
			}  
		}
		else
		{
			return 1; 
		}  
	}
	else 
	{
		return 0;
	}	
}

//ʱ
//ʱתΪ
//197011Ϊ׼
//1970~2099ΪϷ
//ֵ:0,ɹ;:.
//·ݱ											 
u8 const table_week[12]={0,3,3,6,1,4,6,2,5,0,3,5}; //ݱ	  
//ƽ·ڱ
const u8 mon_table[12]={31,28,31,30,31,30,31,31,30,31,30,31};
u8 RTC_Set(u16 syear,u8 smon,u8 sday,u8 hour,u8 min,u8 sec)
{
	u16 t;
	u32 seccount=0;
	if(syear<1970||syear>2099)return 1;	   
	for(t=1970;t<syear;t++)	//ݵ
	{
		if(Is_Leap_Year(t))seccount+=31622400;//
		else seccount+=31536000;			  //ƽ
	}
	smon-=1;
	for(t=0;t<smon;t++)	   //ǰ·ݵ
	{
		seccount+=(u32)mon_table[t]*86400;//·
		if(Is_Leap_Year(syear)&&t==1)seccount+=86400;//2·һ	   
	}
	seccount+=(u32)(sday-1)*86400;//ǰڵ 
	seccount+=(u32)hour*3600;//Сʱ
    seccount+=(u32)min*60;	 //
	seccount+=sec;//Ӽȥ													    

	PWR_BackupAccessCmd(ENABLE);
	RTC_EnterConfigMode(); 
	RTC_WaitForLastTask();
	RTC_SetCounter(seccount);
	RTC_WaitForLastTask();
	RTC_SetPrescaler(32767);
	RTC_WaitForLastTask();
	PWR_BackupAccessCmd(DISABLE);	
	return 0;	    
}

//õǰʱ
//ֵ:0,ɹ;:.
u8 RTC_Get(void)
{
	static u16 daycnt=0;
	u32 timecount=0; 
	u32 temp=0;
	u16 temp1=0;	  
	   
	timecount=RTC->CNTH;//õеֵ()
	timecount<<=16;
	timecount+=RTC->CNTL;			 

	temp=timecount/86400;   //õ(Ӧ)
	if(daycnt!=temp)//һ
	{	  
		daycnt=temp;
		temp1=1970;	//1970꿪ʼ
		while(temp>=365)
		{				 
			if(Is_Leap_Year(temp1))//
			{
				if(temp>=366)temp-=366;//
				else break;  
			}
			else temp-=365;	  //ƽ 
			temp1++;  
		}   
		timer.w_year=temp1;//õ
		temp1=0;
		while(temp>=28)//һ
		{
			if(Is_Leap_Year(timer.w_year)&&temp1==1)//ǲ/2·
			{
				if(temp>=29)temp-=29;//
				else break; 
			}
			else 
			{
				if(temp>=mon_table[temp1])temp-=mon_table[temp1];//ƽ
				else break;
			}
			temp1++;  
		}
		timer.w_month=temp1+1;//õ·
		timer.w_date=temp+1;  //õ 
	}
	temp=timecount%86400;     //õ   	   
	timer.hour=temp/3600;     //Сʱ
	timer.min=(temp%3600)/60; //	
	timer.sec=(temp%3600)%60; //
	timer.week=RTC_Get_Week(timer.w_year,timer.w_month,timer.w_date);//ȡ   
	return 0;
}	 

//ڼ
//:빫ڵõ(ֻ1901-2099)
// 
//ֵں																						 
u8 RTC_Get_Week(u16 year,u8 month,u8 day)
{	
	u16 temp2;
	u8 yearH,yearL;
	
	yearH=year/100;	yearL=year%100; 
	// Ϊ21,100  
	if (yearH>19)yearL+=100;
	// ֻ1900֮  
	temp2=yearL+yearL/4;
	temp2=temp2%7; 
	temp2=temp2+day+table_week[month-1];
	if (yearL%4==0&&month<3)temp2--;
	return(temp2%7);
} 

















